Quick Start Guide

Overview

This guide will walk you through creating an integration, posting accounts and services for the end user to map, and then push a unit count for an account and service combination.

Prerequisites

  • OEM API OAuth 2.0 credentials (clientId, clientSecret)
  • Your existing VENDOR_TOKEN
  • OrganizationID and VendorID for testing
  • HTTP client (curl, Postman, or programming language)

Step 1: Test OEM Authentication

Authenticate testing account with a new session, retrieving a session token.

Step 2: Create an Integration for the Test Organization

Follow the Authentication steps for an external integration.

Step 3: Create Your First Account

curl -X POST https://<subdomain>.mspcentric.app/api/vendor-api/organization/accounts \
  -H "Authorization: Bearer YOUR_MSPC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "vendorAccountId": "test_account_123",
    "name": "Test Account",
    "externalId": "ext_123"
  }'

Step 4: Create Your First Service

curl -X POST https://<subdomain>.mspcentric.app/api/vendor-api/organization/services \
  -H "Authorization: Bearer YOUR_MSPC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "unique-id-representing-product-or-service",
    "name": "Test Service",
    "description": "Test Description"
  }'

Step 5: Set integration Status to Mapping

curl -X PATCH https://<subdomain>.mspcentric.app/api/vendor-api/status/mapping \
  -H "Authorization: Bearer YOUR_MSPC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "unique-id-representing-product-or-service",
    "name": "Test Service",
    "description": "Test Description"
  }'

Step 6: Login to MSPC Client Application

Follow OEM Authentication steps.

Step 7: Authenticate with Test PSA Account

Follow the PSA Setup wizard to authenticate with a sandbox PSA environment of your choice.

Step 8: Map Account and Service

Proceeding through the wizard setup flow, you will be presented with a mapping interface.

Map the accounts and services and continue until review, accepting the modifications.

Once approved, our systems modify the integration state to pending.

📘

Pending -> Indicates a user has made it through the mapping flow at least once, and accepted the review flow. Sync operations can only be requested against integrations with a pending or connected status. Once a successful request has been made against one of the integrations modules, such as sending unit counts for an a contract line, the integration will self update to connected.

Step 9: Send usage.

Try sending usage:

curl -X POST https://<subdomain>.mspcentric.app/api/vendor-api/service/:serviceId/count \
  -H "Authorization: Bearer YOUR_MSPC_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
        "unitCount": 1,
        "accountId": "1-090w93fj0w93"
  }'

Step 10: Observe

Congrats! You've now performed a billing sync.